diff --git a/doc/src/sgml/datatype.sgml b/doc/src/sgml/datatype.sgml
index 0bb6594..259523d 100644
--- a/doc/src/sgml/datatype.sgml
+++ b/doc/src/sgml/datatype.sgml
@@ -476,7 +476,7 @@
     </indexterm>
 
     <para>
-     The type <type>numeric</type> can store numbers with up to 1000
+     The type <type>numeric</type> can store numbers with up to 131071
      digits of precision and perform calculations exactly. It is
      especially recommended for storing monetary amounts and other
      quantities where exactness is required. However, arithmetic on
@@ -493,7 +493,7 @@
      the whole number, that is, the number of digits to both sides of
      the decimal point.  So the number 23.5141 has a precision of 6
      and a scale of 4.  Integers can be considered to have a scale of
-     zero.
+     zero. The maximum allowed scale is 16383.
     </para>
 
     <para>
@@ -525,6 +525,15 @@ NUMERIC
      explicitly.)
     </para>
 
+    <note>
+     <para>
+      The maximum allowed precision when explicitely specified in the
+      type declaration is 1000; otherwise the <type>NUMERIC</type>
+      data type supports a maximum precision of 131071 and a maximum
+      scale of 16383.
+     </para>
+    </note>
+
     <para>
      If the scale of a value to be stored is greater than the declared
      scale of the column, the system will round the value to the specified
